PHPExcel_Writer_Excel2007

# Class: PHPExcel_Writer_Excel2007_Comments

Source Location: /PHPExcel/Writer/Excel2007/Comments.php

### Class Overview

    PHPExcel_Writer_Excel2007_WriterPart
       |
       --PHPExcel_Writer_Excel2007_Comments

PHPExcel_Writer_Excel2007_Comments

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- writeComments
- writeVMLComments
- _writeComment
- _writeVMLComment

### Inherited Methods

#### Class: PHPExcel_Writer_Excel2007_WriterPart

PHPExcel_Writer_Excel2007_WriterPart::__construct()
  Set parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()
  Get parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()
  Set parent IWriter object

### Class Details

[line 36]
PHPExcel_Writer_Excel2007_Comments

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method writeComments [line 45]

`string writeComments( [PHPExcel_Worksheet $pWorksheet = null])`

Write comments to XML format

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet | $pWorksheet |

[ Top ]

### method writeVMLComments [line 125]

`string writeVMLComments( [PHPExcel_Worksheet $pWorksheet = null])`

Write VML comments to XML format

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet | $pWorksheet |

[ Top ]

### method _writeComment [line 103]

`void _writeComment( [PHPExcel_Shared_XMLWriter $objWriter = null], [string $pCellReference = 'A1'], [PHPExcel_Comment $pComment = null], [array $pAuthors = null])`

Write comment to XML format

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Shared_XMLWriter | $objWriter | XML Writer
string | $pCellReference | Cell reference
PHPExcel_Comment | $pComment | Comment
array | $pAuthors | Array of authors

[ Top ]

### method _writeVMLComment [line 198]

`void _writeVMLComment( [PHPExcel_Shared_XMLWriter $objWriter = null], [string $pCellReference = 'A1'], [PHPExcel_Comment $pComment = null])`

Write VML comment to XML format

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Shared_XMLWriter | $objWriter | XML Writer
string | $pCellReference | Cell reference
PHPExcel_Comment | $pComment | Comment

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:33 +0200 by phpDocumentor 1.4.4